In the "else" section of __clone_and_map(), we're splitting a page from the
bio into two pages and mapping each part separately. Therefore, we need
another tio structure to track the second part of the page.  [Kevin Corry]

--- diff/drivers/md/dm.c	2003-10-29 14:52:23.000000000 +0000
+++ source/drivers/md/dm.c	2003-10-29 14:53:06.000000000 +0000
@@ -496,6 +496,10 @@
 		len = to_sector(bv->bv_len) - max;
 		clone = split_bvec(bio, ci->sector, ci->idx,
 				   bv->bv_offset + to_bytes(max), len);
+		tio = alloc_tio(ci->md);
+		tio->io = ci->io;
+		tio->ti = ti;
+		memset(&tio->info, 0, sizeof(tio->info));
 		__map_bio(ti, clone, tio);
 
 		ci->sector += len;
